%define glib2_version 2.22.5

%define _libdir64 %{_prefix}/lib64

Summary: Interfaces for accessibility support
Name: atk
Version: 1.30.0
Release: 1
License: LGPLv2+
Group: System Environment/Libraries
Source0: http://download.gnome.org/sources/%{name}/1.30/%{name}-%{version}.tar.bz2 
Source1: http://download.gnome.org/sources/%{name}/1.30/%{name}-%{version}.sha256sum
URL: http://developer.gnome.org/projects/gap/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gettext, pkg-config, make
Requires: glib2 >= %{glib2_version}
Requires: gettext

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
with tools such as screen readers, magnifiers, and alternative input
devices.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Files necessary to develop applications using ATK
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel >= %{glib2_version}
Requires: pkg-config

%description devel
The atk-devel package includes the static libraries, header files, and
developer docs for the atk package.

Install atk-devel if you want to develop programs which will use ATK.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)


%build
export CC="xlc -D_LARGE_FILES"

cd 64bit
# first build the 64-bit version
export OBJECT_MODE=64
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir64} \
    --enable-shared --disable-static \
    --disable-gtk-doc
gmake %{?_smp_mflags}

cd ../32bit
# now build the 32-bit version
export OBJECT_MODE=32
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --disable-gtk-doc
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
export OBJECT_MODE=64
gmake DESTDIR=${RPM_BUILD_ROOT} install

cd ../32bit
export OBJECT_MODE=32
gmake DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}%{_libdir64}
  for f in *.a ; do
    /usr/bin/ar -X64 -x ${f}
  done

  cd ${RPM_BUILD_ROOT}%{_libdir}
  for f in *.a ; do
    /usr/bin/ar -X32 -x ${f}
  done
)

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
/usr/bin/ar -X64 -q ${RPM_BUILD_ROOT}%{_libdir}/lib%{name}-1.0.a ${RPM_BUILD_ROOT}%{_libdir64}/lib%{name}-1.0.so*

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib lib64
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc 32bit/README 32bit/AUTHORS 32bit/COPYING 32bit/NEWS
%{_libdir}/*.a
%{_libdir}/*.so*
%{_libdir64}/*.so*
%{_datadir}/locale/*/*/*
/usr/lib/*.a
/usr/lib/*.so*
/usr/lib64/*.so*


%files devel
%defattr(-,root,system)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir64}/*.la
%{_libdir}/pkgconfig/*
%{_libdir64}/pkgconfig/*
%{_datadir}/gtk-doc/html/atk
/usr/include/*
/usr/lib/*.la
/usr/lib64/*.la


%changelog
* Mon May 02 2011 Michael Perzl <michael@perzl.org> - 1.30.0-1
- updated to version 1.30.0
- added RTL-style shared libraries

* Tue Jul 06 2010 Michael Perzl <michael@perzl.org> - 1.28.0-2
- removed dependency on gettext >= 0.17

* Tue Sep 29 2009 Michael Perzl <michael@perzl.org> - 1.28.0-1
- updated to version 1.28.0

* Wed Jul 01 2009 Michael Perzl <michael@perzl.org> - 1.26.0-1
- updated to version 1.26.0

* Mon Jun 29 2009 Michael Perzl <michael@perzl.org> - 1.24.0-1
- updated to version 1.24.0

* Sat Apr 05 2008 Michael Perzl <michael@perzl.org> - 1.22.0-1
- first version for AIX V5.1 and higher
